# class Tk::Tcllib::IPEntry

### Constants

PACKAGE_NAME
TkCommandNames
WidgetClassName

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/ip_entry.rb, line 24
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/ip_entry.rb, line 28
    def self.package_version
      begin
        TkPackage.require('ipentry')
      rescue
        ''
      end
    end

### Public Instance Methods

complete?() click to toggle source

    # File lib/tkextlib/tcllib/ip_entry.rb, line 65
    def complete?
      bool(tk_send_without_enc('complete'))
    end

insert(*ip) click to toggle source

    # File lib/tkextlib/tcllib/ip_entry.rb, line 69
    def insert(*ip)
      tk_send_without_enc('insert', array2tk_list(ip.flatten))
    end

### Private Instance Methods

__strval_optkeys() click to toggle source
Calls superclass method Tk::Entry#__strval_optkeys

    # File lib/tkextlib/tcllib/ip_entry.rb, line 60
    def __strval_optkeys
      super() << 'fg' << 'bg' << 'insertbackground'
    end

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/ip_entry.rb, line 50
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end